image: maven:latest

cache:
  paths:
    - target/

stages:
  - build
  - test
  - package

build:
  stage: build
  script:
    - mvn compile

test:
  stage: test
  script:
    - mvn test

package:
  stage: package
  script:
    - mvn package
  artifacts:
    paths:
      - target/animalshelter-1.0-SNAPSHOT.jar